Loading...
Searching...
No Matches
mbedtls_mpi Struct Reference

MPI structure. More...

`#include <bignum.h>`

## Data Fields

mbedtls_mpi_uint * | private_p
signed short | private_s
unsigned short | private_n

## Detailed Description

MPI structure.

Definition at line 207 of file bignum.h.

## Field Documentation

## private_n

unsigned short mbedtls_mpi::private_n

Total number of limbs in `p`.

Definition at line 228 of file bignum.h.

## private_p

mbedtls_mpi_uint* mbedtls_mpi::private_p

Pointer to limbs.

This may be `NULL` if `n` is 0.

Definition at line 212 of file bignum.h.

## private_s

signed short mbedtls_mpi::private_s

Sign: -1 if the mpi is negative, 1 otherwise.

The number 0 must be represented with `s = +1`. Although many library functions treat all-limbs-zero as equivalent to a valid representation of 0 regardless of the sign bit, there are exceptions, so bignum functions and external callers must always set `s` to +1 for the number zero.

Note that this implies that calloc() or `... = {0}` does not create a valid MPI representation. You must call mbedtls_mpi_init().

Definition at line 225 of file bignum.h.

The documentation for this struct was generated from the following file:

- bignum.h